     1: <?php
     2:
     3: namespace Thelia\Model;
     4:
     5: use Thelia\Model\om\BaseModuleQuery;
     6:
     7:
     8: /**
     9:  * Skeleton subclass for performing query and update operations on the 'module' table.
    10:  *
    11:  *
    12:  *
    13:  * You should add additional methods to this class to meet the
    14:  * application requirements.  This class will only be generated as
    15:  * long as it does not already exist in the output directory.
    16:  *
    17:  * @package    propel.generator.Thelia.Model
    18:  */
    19: class ModuleQuery extends BaseModuleQuery
    20: {
    21:     /**
    22:      * @return array|mixed|\PropelObjectCollection
    23:      */
    24:     public static function getActivated()
    25:     {
    26:         return self::create()
    27:             ->filterByActivate(1)
    28:             ->find()
    29:             ;
    30:     }
    31: }
    32: